Package org.springframework.security.config.annotation.rsocket

# Class RSocketSecurity.SimpleAuthenticationSpec

java.lang.Object
org.springframework.security.config.annotation.rsocket.RSocketSecurity.SimpleAuthenticationSpec

Enclosing class:
  RSocketSecurity

public final class RSocketSecurity.SimpleAuthenticationSpec extends Object

Since:
  5.3

## Method Summary

Modifier and Type
Method
Description
`RSocketSecurity.SimpleAuthenticationSpec`
`authenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager authenticationManager)`
`protected org.springframework.security.rsocket.authentication.AuthenticationPayloadInterceptor`
`build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### authenticationManager

public RSocketSecurity.SimpleAuthenticationSpec authenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager authenticationManager)

### build

protected org.springframework.security.rsocket.authentication.AuthenticationPayloadInterceptor build()